Package com.arms.api.jira.jiraissuetype.controller

## Class JiraIssueTypeController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<JiraIssueType,​JiraIssueTypeDTO,​JiraIssueTypeEntity>
  - - com.arms.api.jira.jiraissuetype.controller.JiraIssueTypeController

-     @Controller
      @RequestMapping("/arms/jiraIssueType")
      public class JiraIssueTypeController
      extends TreeAbstractController<JiraIssueType,​JiraIssueTypeDTO,​JiraIssueTypeEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraIssueTypeController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `getIssueStatusList​(javax.servlet.http.HttpServletRequest request, JiraIssueTypeDTO jiraIssueTypeDTO)` |
    `void` | `initialize()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JiraIssueTypeController

          public JiraIssueTypeController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getIssueStatusList

          @ResponseBody
          @RequestMapping(value="/getIssueStatusList",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getIssueStatusList​(javax.servlet.http.HttpServletRequest request,
                                                                               JiraIssueTypeDTO jiraIssueTypeDTO)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`